osl::eval::ml::King25EmptySquareNoEffect Struct Reference

`#include <kingTable.h>`

Inheritance diagram for osl::eval::ml::King25EmptySquareNoEffect:

## Public Types

enum | { DIM = 3 * 5 }

## Static Public Member Functions

template<Player defense>
static int | evalOne (const NumEffectState &state, const CArray< int, 15 > &table)
template<Player defense>
static std::pair< int, int > | evalOne (const NumEffectState &state, const CArray< int, 15 > &opening, const CArray< int, 15 > &ending)
static std::pair< CArray< int, 2 >, CArray< int, 2 > > | eval (const NumEffectState &state, const CArray< int, 15 > &opening, const CArray< int, 15 > &ending)
static std::pair< CArray< int, 2 >, CArray< int, 2 > > | evalWithUpdate (const NumEffectState &state, Move last_move, const CArray< int, 15 > &opening, const CArray< int, 15 > &ending, const CArray< int, 2 > &last_opening_value, const CArray< int, 2 > &last_ending_value)
static int | index (int rel_x, int rel_y)
static void | setUpBase (const Weights &weigths, CArray< int, 15 > &table)

## Detailed Description

Definition at line 424 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 426 of file kingTable.h.

## Member Function Documentation

## eval()

std::pair< osl::CArray< int, 2 >, osl::CArray< int, 2 > > osl::eval::ml::King25EmptySquareNoEffect::eval | ( | const NumEffectState & | state,
|  | const CArray< int, 15 > & | opening,
|  | const CArray< int, 15 > & | ending )

static

Definition at line 707 of file kingTable.cc.

References evalOne().

## evalOne() [1/2]

template<osl::Player defense>

std::pair< int, int > osl::eval::ml::King25EmptySquareNoEffect::evalOne | ( | const NumEffectState & | state,
|  | const CArray< int, 15 > & | opening,
|  | const CArray< int, 15 > & | ending )

static

Definition at line 667 of file kingTable.cc.

References osl::BLACK, osl::NumEffectState::effectSetAt(), index(), osl::KingTraits< T >::index, osl::Piece::isEmpty(), osl::SimpleState::kingPiece(), osl::SimpleState::pieceAt(), osl::NumEffectState::piecesOnBoard(), osl::PieceMask::reset(), and osl::Piece::square().

## evalOne() [2/2]

template<osl::Player defense>

int osl::eval::ml::King25EmptySquareNoEffect::evalOne | ( | const NumEffectState & | state,
|  | const CArray< int, 15 > & | table )

static

Definition at line 633 of file kingTable.cc.

References osl::BLACK, osl::NumEffectState::effectSetAt(), index(), osl::KingTraits< T >::index, osl::Piece::isEmpty(), osl::SimpleState::kingPiece(), osl::SimpleState::pieceAt(), osl::NumEffectState::piecesOnBoard(), osl::PieceMask::reset(), and osl::Piece::square().

Referenced by eval(), osl::eval::ml::King25EmptySquareNoEffectEnding::eval(), osl::eval::ml::King25EmptySquareNoEffectOpening::eval(), and evalWithUpdate().

## evalWithUpdate()

std::pair< osl::CArray< int, 2 >, osl::CArray< int, 2 > > osl::eval::ml::King25EmptySquareNoEffect::evalWithUpdate | ( | const NumEffectState & | state,
|  | Move | last_move,
|  | const CArray< int, 15 > & | opening,
|  | const CArray< int, 15 > & | ending,
|  | const CArray< int, 2 > & | last_opening_value,
|  | const CArray< int, 2 > & | last_ending_value )

static

Definition at line 718 of file kingTable.cc.

References osl::container::BoardMask::anyInRange(), osl::BLACK, osl::Board_Mask_Table5x5, osl::NumEffectState::changedEffects(), evalOne(), osl::Move::from(), osl::SimpleState::kingSquare(), osl::container::BoardMask::set(), osl::Move::to(), and osl::WHITE.

## index()

int osl::eval::ml::King25EmptySquareNoEffect::index | ( | int | rel_x,
|  | int | rel_y )

inline static

Definition at line 437 of file kingTable.h.

Referenced by evalOne(), and evalOne().

## setUpBase()

void osl::eval::ml::King25EmptySquareNoEffect::setUpBase | ( | const Weights & | weigths,
|  | CArray< int, 15 > & | table )

static

Definition at line 622 of file kingTable.cc.

References osl::eval::ml::Weights::dimension(), osl::CArray< T, Capacity >::fill(), and osl::eval::ml::Weights::value().

Referenced by osl::eval::ml::King25EmptySquareNoEffectEnding::setUp(), and osl::eval::ml::King25EmptySquareNoEffectOpening::setUp().

The documentation for this struct was generated from the following files:

- kingTable.h
- kingTable.cc